## coqeal 1.1.0

=== debian/changelog ===
coqeal (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1013965)

 -- Julien Puydt <jpuydt@debian.org>  Tue, 28 Jun 2022 09:23:23 +0200

=== debian/tests/control ===
Test-Command: coqc -noinit -indices-matter debian/tests/basic.v
Depends: coq, @

## coqeal 2.0.3

=== Makefile ===
all: Makefile.coq
	@+$(MAKE) -f Makefile.coq all

clean: Makefile.coq
	@+$(MAKE) -f Makefile.coq cleanall
	@rm -f Makefile.coq Makefile.coq.conf

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

force _CoqProject Makefile: ;

%: Makefile.coq force
	@+$(MAKE) -f Makefile.coq $@

.PHONY: all clean force

## coqeal 1.1.1

=== debian/changelog ===
coqeal (1.1.1-3) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 14:04:11 +0100

coqeal (1.1.1-2) unstable; urgency=medium

  * Fix dh-coq issue.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Sep 2022 16:13:40 +0200

coqeal (1.1.1-1) unstable; urgency=medium

  * Simplify the autopkgtest.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 08 Jul 2022 09:10:10 +0200

=== debian/control ===
Source: coqeal
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-bignums,
               libcoq-mathcomp-algebra,
               libcoq-mathcomp-multinomials,
               libcoq-mathcomp-real-closed,
               libcoq-core-ocaml-dev,
               libcoq-paramcoq,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-coqeal
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-coqeal.git
Homepage: https://github.com/coq-community/coqeal

Package: libcoq-coqeal
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: algebra and data structure algorithms for Coq
 This library provides developments in algebra (including
 normal forms of matrices), optimized algorithms on
 MathComp data structures, and a data representation change
 framework.
 .
 Coq is a proof assistant for higher-order logic, and MathComp
 is a large set of mathematical theories for Coq.

## coqeal 1.1.3

=== debian/changelog ===
coqeal (1.1.3-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:11:06 +0200

coqeal (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.
  * Bump depend on mathcomp-multinomials (Closes: #1038675).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 20 Jun 2023 11:49:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: coq,
+Build-Depends: coq (>= 1.17),
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,
                libcoq-bignums,
                libcoq-mathcomp-algebra,
-               libcoq-mathcomp-multinomials,
+               libcoq-mathcomp-multinomials (>= 1.6.0),
                libcoq-mathcomp-real-closed,
                libcoq-core-ocaml-dev,
                libcoq-paramcoq,

## coqeal 2.0.0

=== debian/changelog ===
coqeal (2.0.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Fix Vcs-*

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1044296).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Dec 2023 11:43:09 +0100

## coqeal 2.0.1

=== debian/changelog ===
coqeal (2.0.1-1build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:19:25 +0200

coqeal (2.0.1-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:53:18 +0000

coqeal (2.0.1-1build3) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:15:51 +0000

coqeal (2.0.1-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:27:41 +0100

coqeal (2.0.1-1build1) noble; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Jan 2024 09:54:09 -0500

coqeal (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 20 Jan 2024 20:40:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: coqeal
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
@@ -16,8 +17,8 @@
                libcoq-core-ocaml-dev,
                libcoq-paramcoq,
                libcoq-stdlib
-Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-coqeal
-Vcs-Git: https://salsa.debian.org/ocaml-team/coq-coqeal.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/coqeal
+Vcs-Git: https://salsa.debian.org/ocaml-team/coqeal.git
 Homepage: https://github.com/coq-community/coqeal
 
 Package: libcoq-coqeal

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom CoqEAL theory.strassen
Depends: coq, @

## coqeal 2.0.2

=== debian/changelog ===
coqeal (2.0.2-2build5) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 18:03:17 +0200

coqeal (2.0.2-2build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:51:18 +0200

coqeal (2.0.2-2build3) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Sep 2024 09:24:52 +0200

coqeal (2.0.2-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Aug 2024 08:42:45 +0200

coqeal (2.0.2-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:55:21 +0200

coqeal (2.0.2-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 08:40:20 +0200

coqeal (2.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 11:56:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: coqeal
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

## coqeal 2.0.3

=== debian/changelog ===
coqeal (2.0.3-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:25:57 +0100

coqeal (2.0.3-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2025 06:38:46 +0100

coqeal (2.0.3-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 22:04:43 +0100

coqeal (2.0.3-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:18:00 +0100

coqeal (2.0.3-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:42:47 +0100

coqeal (2.0.3-1build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 18:49:29 -0500

coqeal (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 Dec 2024 12:21:14 +0100

## coqeal 2.1.0

=== debian/changelog ===
coqeal (2.1.0-1build5) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Oct 2025 20:52:40 +0100

coqeal (2.1.0-1build4) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:49:24 +0200

coqeal (2.1.0-1build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:21:47 +0200

coqeal (2.1.0-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:37:04 +0200

coqeal (2.1.0-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 May 2025 10:09:53 +0200

coqeal (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 26 Feb 2025 11:19:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq (>= 1.17),
                debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	make clean

override_dh_auto_make:
	make

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp

=== debian/watch ===
version=4
https://github.com/coq-community/coqeal/tags .*/V?([\d\.]+).tar.gz

## coqeal 2.1.1

=== debian/changelog ===
coqeal (2.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 30 Oct 2025 08:30:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq (>= 1.17),
+Build-Depends: coq,
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,
@@ -14,7 +14,6 @@
                libcoq-mathcomp-multinomials (>= 1.6.0),
                libcoq-mathcomp-real-closed,
                libcoq-core-ocaml-dev,
-               libcoq-paramcoq,
                libcoq-stdlib
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coqeal
 Vcs-Git: https://salsa.debian.org/ocaml-team/coqeal.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_OPTIONS += noautodbgsym
 
 %:
 	dh $@ --with coq,ocaml
